Upstream information

CVE-2013-0334 at MITRE

Description

Bundler before 1.7, when multiple top-level source lines are used, allows remote attackers to install arbitrary gems by creating a gem with the same name as another gem in a different source.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 898205 [RESOLVED / FIXED], 922719 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Lifecycle Management Server 1.3
  • rubygem-bundler >= 1.7.0-0.7.1
Patchnames:
sleslms13-rubygem-bundler
SUSE Linux Enterprise High Availability 12 SP2
  • ruby2.1-rubygem-bundler >= 1.7.3-3.8
Patchnames:
SUSE Linux Enterprise High Availability 12 SP2 GA ruby2.1-rubygem-bundler
SUSE Linux Enterprise High Availability 12 SP3
  • ruby2.1-rubygem-bundler >= 1.7.3-3.8
Patchnames:
SUSE Linux Enterprise High Availability 12 SP3 GA ruby2.1-rubygem-bundler
SUSE Linux Enterprise High Availability Extension 11 SP3
  • rubygem-bundler >= 1.7.0-0.7.1
Patchnames:
slehasp3-rubygem-bundler
SUSE Linux Enterprise Software Development Kit 11 SP3
  • rubygem-bundler >= 1.7.0-0.7.1
Patchnames:
sdksp3-rubygem-bundler
SUSE Linux Enterprise Software Development Kit 11 SP4
  • rubygem-bundler >= 1.7.0-0.7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA rubygem-bundler
SUSE Linux Enterprise Software Development Kit 12
  • ruby2.1-rubygem-bundler >= 1.7.3-1.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA ruby2.1-rubygem-bundler
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ruby2.1-rubygem-bundler >= 1.7.3-3.8
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA ruby2.1-rubygem-bundler
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ruby2.1-rubygem-bundler >= 1.7.3-3.8
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA ruby2.1-rubygem-bundler
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ruby2.1-rubygem-bundler >= 1.7.3-3.8
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA ruby2.1-rubygem-bundler
SUSE OpenStack Cloud 4
  • rubygem-bundler >= 1.7.0-0.7.1
Patchnames:
sleclo40sp3-rubygem-bundler
SUSE OpenStack Cloud 6
  • ruby2.1-rubygem-bundler >= 1.7.3-3.8
Patchnames:
SUSE OpenStack Cloud 6 GA ruby2.1-rubygem-bundler
SUSE Studio Onsite 1.3
  • rubygem-bundler >= 1.7.0-0.7.1
  • rubygem-bundler19 >= 1.7.0-0.12.1
Patchnames:
slestso13-rubygem-bundler
slestso13-rubygem-bundler19
SUSE WebYast 1.3
  • rubygem-bundler >= 1.7.0-0.7.1
Patchnames:
slewyst13-rubygem-bundler
SUSE Cloud 4
  • rubygem-bundler >= 1.7.0-0.7.1
Builds
SAT Patch Nr: 10448
SUSE Linux Enterprise High Availability Extension 11 SP3
SUSE Linux Enterprise Software Development Kit 11 SP3
  • rubygem-bundler >= 1.7.0-0.7.1
Builds
SAT Patch Nr: 10450
SUSE Studio Onsite 1.3
  • rubygem-bundler19 >= 1.7.0-0.12.1
Builds
SAT Patch Nr: 10451
SUSE Lifecycle Management Server 1.3
SUSE Studio Onsite 1.3
WebYaST 1.3
  • rubygem-bundler >= 1.7.0-0.7.1
Builds
SAT Patch Nr: 10449
openSUSE 13.1
  • rubygem-bundler >= 1.8.4-3.4.1
  • rubygem-bundler-doc >= 1.8.4-3.4.1
Patchnames:
openSUSE-2015-275


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Cloud 11.3 rubygem-bundler Released
SUSE Cloud 2.0 rubygem-bundler Released
SUSE Cloud 3 rubygem-bundler Released
SUSE Cloud 4 rubygem-bundler Released
SUSE Lifecycle Management Server 1.3 rubygem-bundler Released
SUSE Linux Enterprise High Availability Extension 11 SP3 rubygem-bundler Released
SUSE Linux Enterprise High Availability Extension 11 SP4 rubygem-bundler Released
SUSE Linux Enterprise SDK 11 SP2 rubygem-bundler Released
SUSE Linux Enterprise SDK 11 SP3 rubygem-bundler Released
SUSE Linux Enterprise SDK 11 SP4 rubygem-bundler Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 rubygem-bundler Released
SUSE Studio Onsite 1.3 rubygem-bundler Released
WebYaST 1.3 rubygem-bundler Released